/****************************************************************************
** AMCFrameGrabber meta object code from reading C++ file 'amcframegrabber.h'
**
** Created: Thu Jan 29 00:51:59 2004
**      by: The Qt MOC ($Id: amcframegrabber.moc.cpp,v 1.1 2004-03-04 16:31:17 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "amcframegrabber.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *AMCFrameGrabber::className() const
{
    return "AMCFrameGrabber";
}

QMetaObject *AMCFrameGrabber::metaObj = 0;

void AMCFrameGrabber::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QObject::className(), "QObject") != 0 )
	badSuperclassWarning("AMCFrameGrabber","QObject");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString AMCFrameGrabber::tr(const char* s)
{
    return qApp->translate( "AMCFrameGrabber", s, 0 );
}

QString AMCFrameGrabber::tr(const char* s, const char * c)
{
    return qApp->translate( "AMCFrameGrabber", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* AMCFrameGrabber::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QObject::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (AMCFrameGrabber::*m1_t0)(int);
    typedef void (QObject::*om1_t0)(int);
    typedef void (AMCFrameGrabber::*m1_t1)(int);
    typedef void (QObject::*om1_t1)(int);
    typedef void (AMCFrameGrabber::*m1_t2)(int);
    typedef void (QObject::*om1_t2)(int);
    typedef void (AMCFrameGrabber::*m1_t3)(int);
    typedef void (QObject::*om1_t3)(int);
    m1_t0 v1_0 = &AMCFrameGrabber::setBrightness;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    m1_t1 v1_1 = &AMCFrameGrabber::setContrast;
    om1_t1 ov1_1 = (om1_t1)v1_1;
    m1_t2 v1_2 = &AMCFrameGrabber::setSaturation;
    om1_t2 ov1_2 = (om1_t2)v1_2;
    m1_t3 v1_3 = &AMCFrameGrabber::setHue;
    om1_t3 ov1_3 = (om1_t3)v1_3;
    QMetaData *slot_tbl = QMetaObject::new_metadata(4);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(4);
    slot_tbl[0].name = "setBrightness(int)";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "setContrast(int)";
    slot_tbl[1].ptr = (QMember)ov1_1;
    slot_tbl_access[1] = QMetaData::Public;
    slot_tbl[2].name = "setSaturation(int)";
    slot_tbl[2].ptr = (QMember)ov1_2;
    slot_tbl_access[2] = QMetaData::Public;
    slot_tbl[3].name = "setHue(int)";
    slot_tbl[3].ptr = (QMember)ov1_3;
    slot_tbl_access[3] = QMetaData::Public;
    metaObj = QMetaObject::new_metaobject(
	"AMCFrameGrabber", "QObject",
	slot_tbl, 4,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
